import { useIsMutating } from '@tanstack/react-query';

import { libraryApi } from './api';

export const useIsProcessingLibrary = () => {
  const countMutations = useIsMutating({ mutationKey: [libraryApi.baseKey] });
  return countMutations !== 0;
};
